#-------------------------------------------------------------.
# カレント形状で回転をクリア.
#-------------------------------------------------------------.

# --------------------------------------------------------------.
# ジョイントとしての回転をクリア.
# --------------------------------------------------------------.
def clearRotation(shape):

	# ボーンまたはボールジョイントかチェック.
	if shape.type == 2 and (shape.part_type == 10 or shape.part_type == 16):
		shape.bone_joint.rotation = [1.0, 0.0, 0.0, 0.0]

	if shape.has_son:
		s = shape.son
		while s.has_bro:
			s = s.bro
			clearRotation(s)

# --------------------------------------------------.
active_shape = xshade.scene().active_shape()
clearRotation(active_shape)

# 以下で強制的に更新をかけないと、更新されない場合がある.
active_shape.update_skin_bindings()
active_shape.update()

# 強制的に再描画.
xshade.scene().force_update()

result = ''
