#-------------------------------------------------------------.
# ポーズリストから、指定のポーズの情報を削除.
# @param[in]  pattern_name    対象のパターン名.
# @param[in]  pose_name       ポーズ名.
#-------------------------------------------------------------.
import urllib
import os
import os.path
import shutil

PATTERN_FILE_NAME = 'pattern_data.txt'
TEMP_FILE_NAME    = 'pattern_data_tmp.txt'

# ファイルを開く.
targetFile = urllib.unquote(f_location) + '/datas/' + PATTERN_FILE_NAME
tempFile   = urllib.unquote(f_location) + '/datas/' + TEMP_FILE_NAME

result = ''
if os.path.exists(targetFile) == True:
	f  = open(targetFile, 'r')
	wf = open(tempFile, 'w')

	aState = 0
	pState = 0

	lineStr = f.readline()
	while lineStr:
		lineStr = lineStr.strip()		# 行頭、行末の改行や空白を削除.

		if len(lineStr) != 0:
			if len(lineStr) > 2:
				if lineStr[0] == '#' and lineStr[1] != '#':
					patternN = lineStr[1:]
					patternN = patternN.strip()

					pState = 0
					if aState == 0 and patternN == pattern_name:
						aState += 1
					else:
						if aState > 0:
							aState += 1
				
				if lineStr[0] == '#' and lineStr[1] == '#':
					poseN = lineStr[2:]
					poseN = poseN.strip()

					if pState == 0 and poseN == pose_name:
						pState += 1
					else:
						if pState > 0:
							pState += 1

			if aState != 1 or pState != 1:
				wf.writelines(lineStr + '\n')
		
		lineStr = f.readline()

	f.close()
	wf.close()

	shutil.copyfile(tempFile, targetFile)
	os.remove(tempFile)
