#-------------------------------------------------------------.
# リストボックスに表示するパターンに対応するポーズ一覧情報を取得。.
# @param[in]  pattern_name    対象のパターン名.
#-------------------------------------------------------------.
import urllib
import os
import os.path

PATTERN_FILE_NAME = 'pattern_data.txt'

# ファイルを開く.
targetFile = urllib.unquote(f_location) + '/datas/' + PATTERN_FILE_NAME

result = ''
if os.path.exists(targetFile) == True:
	f = open(targetFile, 'r')
	
	aState = 0
	lineStr = f.readline()
	while lineStr:
		lineStr = lineStr.strip()		# 行頭、行末の改行や空白を削除.

		# パターン名のみを取得.
		if len(lineStr) > 2:
			if lineStr[0] == '#' and lineStr[1] != '#':
				patternN = lineStr[1:]
				patternN = patternN.strip()

				if aState > 0 or patternN == pattern_name:
					aState += 1
			else:
				if lineStr[0] == '#' and lineStr[1] == '#':
					poseN = lineStr[2:]
					poseN = poseN.strip()

					if aState == 1:
						if len(result) > 0:
							result += ','
						result += poseN

		lineStr = f.readline()
	f.close()
