#-------------------------------------------------------------.
# パターンリストから、指定のパターン情報を削除.
# @param[in]  select_index   リスト上の削除するインデックス.
#-------------------------------------------------------------.
import urllib
import os
import os.path
import shutil

PATTERN_FILE_NAME = 'pattern_data.txt'
TEMP_FILE_NAME    = 'pattern_data_tmp.txt'

# ファイルを開く.
targetFile = urllib.unquote(f_location) + '/datas/' + PATTERN_FILE_NAME
tempFile   = urllib.unquote(f_location) + '/datas/' + TEMP_FILE_NAME

select_index = int(select_index)

result = ''
if os.path.exists(targetFile) == True:
	f  = open(targetFile, 'r')
	wf = open(tempFile, 'w')

	index = -1
	lineStr = f.readline()
	while lineStr:
		if len(lineStr) != 0:
			if len(lineStr) > 2:
				if lineStr[0] == '#' and lineStr[1] != '#':
					index += 1
			if index != select_index:
				wf.writelines(lineStr)

		lineStr = f.readline()

	f.close()
	wf.close()

	shutil.copyfile(tempFile, targetFile)
	os.remove(tempFile)
